# coding=utf-8
from . random_abstract import RandomData
import random

__all__ = ['UserNameRandom']

class UserNameRandom(RandomData):
    """用户名生成器（中文名，长度为2到4个字）"""

    def create(self):
        first_name = random.choice(first_names)

        last_name = ''
        for x in range(random.randrange(1, 3)):
            last_name += random.choice(last_names)

        # 姓氏 + 名字
        return first_name + last_name


# 姓氏
first_names = (
    "李", "王", "张", "刘", "陈", "杨", "赵", "黄", "周", "吴", "徐", "孙", "胡", "朱", "高",
    "林", "何", "郭", "马", "罗", "梁", "宋", "郑", "谢", "韩", "唐", "冯", "于", "董", "萧",
    "程", "曹", "袁", "邓", "许", "傅", "沈", "曾", "彭", "吕", "苏", "卢", "蒋", "蔡", "贾",
    "丁", "魏", "薛", "叶", "阎", "余", "潘", "杜", "戴", "夏", "钟", "汪", "田", "任", "姜",
    "范", "方", "石", "姚", "谭", "廖", "邹", "熊", "金", "陆", "郝", "孔", "白", "崔", "康",
    "毛", "邱", "秦", "江", "史", "顾", "侯", "邵", "孟", "龙", "万", "段", "漕", "钱", "汤",
    "尹", "黎", "易", "常", "武", "乔", "贺", "赖", "龚", "文", "庞", "樊", "兰", "殷", "施",
    "陶", "洪", "翟", "安", "颜", "倪", "严", "牛", "温", "芦", "季", "俞", "章", "鲁", "葛",
    "伍", "韦", "申", "尤", "毕", "聂", "丛", "焦", "向", "柳", "邢", "路", "岳", "齐", "沿",
    "梅", "莫", "庄", "辛", "管", "祝", "左", "涂", "谷", "祁", "时", "舒", "耿", "牟", "卜",
    "路", "詹", "关", "苗", "凌", "费", "纪", "靳", "盛", "童", "欧", "甄", "项", "曲", "成",
    "游", "阳", "裴", "席", "卫", "查", "屈", "鲍", "位", "覃", "霍", "翁", "隋", "植", "甘",
    "景", "薄", "单", "包", "司", "柏", "宁", "柯", "阮", "桂", "闵", "解", "强", "柴", "蔺",
    "华", "车", "冉", "房", "边", "辜", "吉", "饶", "刁", "瞿", "戚", "丘", "古", "米", "池",
    "滕", "晋", "苑", "邬", "臧", "畅", "宫", "来", "嵺", "苟", "全", "褚", "廉", "简", "娄",
    "盖", "符", "奚", "木", "穆", "党", "燕", "郎", "邸", "冀", "谈", "姬", "屠", "连", "郜",
    "晏", "栾", "郁", "商", "蒙", "计", "喻", "揭", "窦", "迟", "宇", "敖", "糜", "鄢", "冷",
    "卓", "花", "仇", "艾", "蓝", "都", "巩", "稽", "井", "练", "仲", "乐", "虞", "卞", "封",
    "竺", "冼", "原", "官", "衣", "楚", "佟", "栗", "匡", "宗", "应", "台", "巫", "鞠", "僧",
    "桑", "荆", "谌", "银", "扬", "明", "沙", "薄", "伏", "岑", "习", "胥", "保", "和", "欧阳",
    "司马", "上官", "夏侯", "诸葛", "东方", "宇文", "长孙", "慕容", "纳兰"
)

# 名字
last_names = (
    "一", "乙", "二", "十", "丁", "厂", "七", "卜", "人", "入", "八", "九", "几", "儿", "了", "力",
    "乃", "刀", "又", "三", "于", "干", "士", "工", "土", "才", "寸", "下", "大", "丈", "与", "万",
    "上", "小", "巾", "山", "千", "乞", "川", "亿", "个", "勺", "久", "凡", "及", "夕", "丸", "么",
    "广", "门", "义", "之", "尸", "弓", "己", "已", "子", "卫", "也", "女", "飞", "刃", "习", "叉",
    "马", "乡", "丰", "王", "井", "开", "夫", "天", "无", "元", "专", "云", "扎", "艺", "木", "五",
    "支", "厅", "不", "太", "犬", "区", "历", "尤", "友", "匹", "车", "巨", "牙", "屯", "比", "互",
    "切", "瓦", "止", "少", "日", "中", "冈", "贝", "内", "水", "见", "午", "牛", "手", "毛", "气",
    "升", "长", "仁", "什", "片", "仆", "化", "仇", "币", "仍", "仅", "斤", "爪", "反", "介", "父",
    "从", "今", "分", "乏", "公", "仓", "月", "氏", "勿", "欠", "风", "丹", "匀", "乌", "凤", "勾",
    "文", "六", "方", "火", "为", "斗", "忆", "订", "计", "户", "认", "心", "尺", "引", "巴", "孔",
    "队", "办", "以", "允", "予", "劝", "双", "书", "幻", "玉", "刊", "示", "末", "未", "击", "打",
    "巧", "正", "扑", "功", "甘", "世", "古", "节", "本", "术", "可", "丙", "左", "厉", "右", "石",
    "布", "龙", "平", "灭", "轧", "东", "卡", "北", "占", "业", "旧", "帅", "归", "且", "旦", "目",
    "叶", "甲", "申", "电", "号", "田", "由", "史", "只", "央", "兄", "叫", "另", "叹", "四", "生",
    "失", "禾", "丘", "付", "仗", "代", "仙", "们", "仪", "白", "仔", "斥", "瓜", "乎", "丛", "令",
    "用", "印", "乐", "句", "匆", "册", "外", "处", "冬", "务", "包", "主", "市", "立", "闪", "兰",
    "半", "汇", "汉", "宁", "它", "讨", "让", "礼", "训", "必", "议", "讯", "记", "永", "司", "尼",
    "民", "出", "辽", "加", "召", "边", "发", "圣", "对", "台", "矛", "纠", "幼", "丝", "式", "刑",
    "动", "扛", "寺", "吉", "扣", "考", "托", "执", "巩", "地", "扬", "场", "耳", "共", "芒", "亚",
    "芝", "朽", "朴", "机", "权", "过", "臣", "再", "协", "西", "压", "厌", "在", "有", "百", "存",
    "而", "页", "匠", "夸", "夺", "灰", "达", "列", "成", "夹", "划", "迈", "毕", "至", "此", "贞",
    "师", "尘", "尖", "光", "当", "早", "曲", "团", "同", "因", "屿", "帆", "岁", "回", "岂", "刚",
    "则", "网", "年", "朱", "先", "丢", "竹", "迁", "乔", "伟", "传", "乒", "乓", "休", "伍", "伏",
    "优", "伐", "延", "件", "任", "伤", "份", "华", "仰", "仿", "伙", "自", "血", "向", "似", "后",
    "行", "舟", "全", "会", "合", "兆", "企", "众", "创", "朵", "危", "旬", "旨", "负", "各", "名",
    "多", "争", "色", "壮", "冲", "冰", "庄", "庆", "亦", "刘", "齐", "交", "次", "衣", "产", "决",
    "充", "妄", "闭", "问", "闯", "羊", "并", "关", "米", "灯", "州", "江", "池", "汤", "忙", "兴",
    "宇", "守", "宅", "字", "安", "讲", "军", "许", "论", "农", "讽", "设", "访", "寻", "那", "迅",
    "尽", "导", "异", "孙", "阵", "阳", "收", "阶", "阴", "防", "如", "妇", "好", "戏", "羽", "观",
    "欢", "买", "红", "纤", "级", "约", "纪", "驰", "巡", "寿", "弄", "麦", "形", "进", "戒", "吞",
    "远", "违", "运", "扶", "抚", "坛", "坏", "拒", "批", "址", "走", "抄", "坝", "贡", "攻", "赤",
    "折", "抢", "孝", "均", "投", "抗", "坑", "坊", "抖", "护", "壳", "志", "扭", "块", "声", "把",
    "报", "却", "芽", "花", "芹", "芬", "苍", "芳", "严", "芦", "劳", "克", "苏", "杆", "杠", "杜",
    "材", "村", "杏", "极", "李", "杨", "求", "更", "束", "豆", "两", "丽", "医", "辰", "励", "否",
    "还", "来", "连", "步", "坚", "旱", "盯", "呈", "时", "吴", "助", "县", "里", "园", "旷", "围",
    "邮", "男", "困", "串", "员", "听", "别", "岗", "帐", "财", "钉", "告", "利", "秀", "每", "兵",
    "估", "体", "何", "但", "伸", "作", "伯", "伶", "佣", "低", "住", "位", "伴", "佛", "近", "彻",
    "役", "返", "余", "希", "坐", "谷", "妥", "含", "邻", "岔", "犹", "角", "岛", "迎", "系", "言",
    "状", "况", "库", "疗", "应", "冷", "序", "辛", "弃", "冶", "忘", "闲", "间", "判", "灿", "弟",
    "汪", "沙", "汽", "沃", "泛", "沟", "沈", "沉", "怀", "忧", "快", "完", "宋", "宏", "究", "良",
    "证", "启", "评", "补", "初", "社", "识", "诉", "诊", "词", "译", "君", "灵", "层", "尾", "迟",
    "局", "改", "张", "忌", "际", "陆", "陈", "阻", "附", "妙", "努", "忍", "劲", "驱", "纯", "纱",
    "纳", "纲", "驳", "纷", "纹", "纺", "纽", "奉", "玩", "环", "武", "青", "责", "现", "表", "规",
    "坦", "者", "顶", "势", "幸", "招", "坡", "披", "择", "其", "取", "苦", "若", "茂", "苹", "苗",
    "英", "范", "直", "茄", "茅", "林", "枝", "杯", "柜", "析", "板", "松", "枪", "构", "杰", "述",
    "枕", "丧", "或", "画", "卧", "事", "刺", "枣", "雨", "矿", "奔", "奇", "奋", "态", "欧", "垄",
    "顷", "转", "非", "叔", "肯", "虎", "贤", "尚", "旺", "具", "果", "昆", "国", "昌", "畅", "明",
    "易", "昂", "典", "固", "忠", "鸣", "咏", "岸", "岩", "帖", "罗", "帜", "岭", "凯", "图", "制",
    "知", "垂", "牧", "物", "乖", "刮", "秆", "和", "季", "委", "佳", "侍", "版", "侦", "侧", "凭",
    "侨", "佩", "依", "迫", "质", "欣", "征", "彼", "所", "舍", "金", "命", "斧", "采", "受", "念",
    "朋", "股", "服", "周", "忽", "备", "饰", "变", "京", "享", "夜", "庙", "府", "郊", "净", "放",
    "刻", "育", "郑", "单", "炎", "炉", "沫", "浅", "法", "泄", "河", "沾", "泪", "泊", "沿", "泳",
    "波", "泽", "治", "怜", "学", "宝", "宗", "定", "宜", "审", "宙", "官", "空", "实", "郎", "诗",
    "房", "诚", "衬", "衫", "视", "话", "诞", "询", "该", "详", "建", "肃", "录", "隶", "居", "届",
    "刷", "屈", "弦", "承", "孟", "孤", "陕", "降", "限", "妹", "姐", "始", "驾", "参", "练", "细",
    "织", "终", "驻", "驼", "绍", "经", "贯", "奏", "春", "珍", "玻", "封", "持", "项", "城", "政",
    "赴", "赵", "挡", "挺", "括", "挣", "甚", "革", "荐", "茶", "荒", "茫", "荡", "荣", "故", "胡",
    "南", "药", "标", "柄", "栋", "相", "查", "柏", "柳", "柱", "柿", "树", "咸", "威", "研", "厘",
    "厚", "砌", "面", "耐", "牵", "轻", "皆", "战", "点", "临", "览", "竖", "省", "削", "盼", "显",
    "冒", "映", "星", "昨", "趴", "贵", "界", "虹", "思", "虽", "品", "响", "峡", "钟", "钢", "钥",
    "钩", "卸", "拜", "看", "矩", "选", "适", "秒", "香", "秋", "科", "重", "复", "竿", "段", "顺",
    "修", "保", "信", "皇", "泉", "追", "俊", "盾", "待", "律", "叙", "剑", "胜", "脉", "勉", "狭",
    "狮", "贸", "急", "饶", "弯", "将", "奖", "亭", "亮", "度", "迹", "庭", "姿", "亲", "音", "帝",
    "施", "闻", "阀", "阁", "养", "美", "姜", "送", "迷", "前", "首", "逆", "炼", "洁", "洪", "浊",
    "洞", "测", "洗", "派", "洽", "济", "洋", "洲", "浑", "浓", "津", "恒", "恢", "恰", "恨", "举",
    "觉", "宣", "室", "宫", "宪", "突", "客", "冠", "语", "扁", "袄", "祖", "神", "祝", "诵", "垦",
    "退", "既", "昼", "陡", "眉", "姻", "娇", "贺", "盈", "勇", "柔", "垒", "绒", "结", "绕", "骄",
    "绘", "给", "络", "骆", "绝", "绞", "统", "艳", "泰", "珠", "班", "素", "振", "载", "起", "都",
    "哲", "热", "耽", "恭", "莲", "莫", "荷", "获", "晋", "真", "桂", "桐", "株", "桥", "桃", "格",
    "校", "核", "样", "根", "索", "速", "栗", "夏", "原", "逐", "烈", "殊", "顾", "较", "顿", "致",
    "柴", "虑", "晒", "晓", "晃", "晌", "恩", "圆", "钱", "钳", "钻", "铁", "铃", "氧", "特", "造",
    "乘", "敌", "秤", "租", "积", "秧", "秩", "称", "秘", "笑", "笋", "值", "倚", "倾", "倘", "俱",
    "候", "健", "息", "徐", "舰", "舱", "般", "航", "途", "爱", "颂", "逢", "留", "恋", "高", "准",
    "效", "唐", "资", "凉", "竞", "部", "旅", "阅", "益", "兼", "涛", "浙", "浩", "海", "涂", "浴",
    "浪", "涌", "悟", "悄", "悔", "悦", "宽", "家", "宵", "宴", "宾", "窄", "容", "案", "朗", "诸",
    "扇", "祥", "谊", "展", "陵", "陶", "通", "桑", "绣", "继", "教", "培", "职", "基", "著", "勒",
    "黄", "萌", "菜", "萄", "菊", "萍", "菠", "营", "械", "梦", "梢", "梅", "梳", "戚", "爽", "袭",
    "盛", "雪", "虚", "雀", "堂", "常", "晨", "悬", "野", "晚", "跃", "唱", "唯", "崖", "崇", "银",
    "甜", "梨", "犁", "移", "笛", "符", "第", "敏", "悠", "偿", "偶", "鸽", "悉", "彩", "领", "猛",
    "毫", "康", "鹿", "章", "竟", "商", "旋", "望", "率", "清", "添", "渠", "淘", "深", "梁", "情",
    "惜", "密", "谋", "敢", "随", "隆", "隐", "绩", "绪", "维", "绵", "绸", "琴", "斑", "塔", "越",
    "超", "博", "喜", "斯", "期", "联", "葛", "董", "葡", "敬", "葱", "落", "朝", "辜", "葵", "棋",
    "植", "森", "惠", "雁", "雄", "暂", "雅", "紫", "辉", "敞", "晴", "暑", "最", "量", "晶", "遇",
    "景", "幅", "铸", "链", "锁", "锈", "锋", "锐", "智", "程", "等", "筑", "策", "筛", "筝", "傲",
    "傅", "集", "焦", "奥", "御", "循", "舒", "番", "释", "鲁", "然", "蛮", "童", "阔", "善", "羡",
    "普", "尊", "道", "曾", "焰", "港", "湖", "温", "渡", "游", "愉", "慨", "寒", "富", "遍", "裕",
    "谢", "谣", "谦", "属", "强", "疏", "絮", "登", "缘", "瑞", "勤", "鹊", "蓝", "蒙", "献", "楚",
    "想", "榆", "楼", "概", "感", "雷", "零", "督", "龄", "鉴", "暖", "盟", "照", "路", "置", "锦",
    "辞", "稠", "愁", "筹", "简", "微", "愈", "遥", "腾", "解", "廉", "新", "韵", "意", "数", "塑",
    "慈", "煌", "满", "源", "溪", "滨", "粱", "慎", "誉", "谨", "福", "群", "殿", "叠", "静", "碧",
    "璃", "嘉", "境", "聚", "慕", "歌", "愿", "裳", "蜻", "锻", "舞", "算", "箩", "貌", "疑", "豪",
    "端", "旗", "漫", "慢", "赛", "察", "蜜", "谱", "翠", "慧", "聪", "樱", "飘", "震", "影", "蝶",
    "蝴", "墨", "镇", "黎", "德", "颜", "毅", "潮", "懂", "燕", "橘", "融", "醒", "默", "镜", "凝",
    "糖", "霜", "霞", "穗", "繁", "骤", "鹰", "警", "攀", "疆", "耀", "灌", "霸", "露"
)
